V1.27.1 Fails install on Raspberry Pi 4

Update at v1.27.1 fails on RPi with “files list file for package ‘grep’ is missing final newline”. This fails it (and any other included packages) from installing and updating.

An apt upgrade from 1.27.0 to 1.27.1 worked here on RPi, using the https://apt.syncthing.net/ repository.

That sounds like a problem with the “grep” package and not Syncthing…

The error above is referring to the file manifest for the ‘grep’ package: /var/lib/dpkg/info/grep.list

Try reinstalling the package so that the file manifest is refreshed:

apt reinstall grep

Although it could just be a one-off, it could also be caused by a filesystem issue. Check the kernel messages via the dmesg command and the system logs for any mentions of filesystem errors.

If there is a filesystem issue, grep might not be the only package that’s affected.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.